
Redmine - Defect #8615

Custom 'version' fields don't show shared versions

2011-06-15 11:16 - Dmitry Salashnik

Status: Closed Start date: 2011-06-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 1.2.2   

Resolution: Fixed Affected version: 1.2.1

Description

subj.

for fix i change in file app\models\custom_fields.rb:

  def possible_values_options(obj=nil)

    case field_format

    when 'user', 'version'

      if obj.respond_to?(:project) && obj.project

        case field_format

        when 'user'

          obj.project.users.sort.collect {|u| [u.to_s, u.id.to_s]}

        when 'version'

          # CHANGES HERE (versions -> shared versions)

          obj.project.shared_versions.sort.collect {|u| [u.to_s, u.id.to_s]} 

        end

      elsif obj.is_a?(Array)

        obj.collect {|o| possible_values_options(o)}.inject {|memo, v| memo & v}

      else

        []

      end

    else

      read_attribute :possible_values

    end

  end

Related issues:

Has duplicate Redmine - Defect #8483: Content in the new custom field "refere... Closed 2011-06-01

Associated revisions

Revision 7772 - 2011-11-11 13:32 - Jean-Philippe Lang

Fixed: Custom 'version' field don't show shared versions (#8615).

Revision 7773 - 2011-11-11 13:33 - Jean-Philippe Lang

Merged r7772 from trunk (#8615).

Revision 7774 - 2011-11-11 13:43 - Jean-Philippe Lang

Fixed failure introduced in r7772 (#8615).

Revision 7775 - 2011-11-11 13:44 - Jean-Philippe Lang

Merged r7774 from trunk (#8615).

History

#1 - 2011-06-15 13:19 - Etienne Massip

- Category set to Custom fields
#2 - 2011-07-03 02:12 - Gilles Cornu

+1

I also applied this patch, which is quite 'natural' when you use version sharing option. It could be nice to let configure the custom field type 'version'

between two modes :

project versions only

OR

shared versions

#3 - 2011-09-08 14:58 - Vili Kosednar

Hi,

how to make it show only not closed shared versions in the custom field?

brv

#4 - 2011-11-11 13:33 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Subject changed from Custom 'version' field don't show shared versions to Custom 'version' fields don't show shared versions

- Status changed from New to Closed

- Target version set to 1.2.2

- Affected version (unused) set to 1.2.1

- Resolution set to Fixed

- Affected version set to 1.2.1

Fixed in r7772 with tests and merged in 1.2-stable.

Thanks.
